org.apache.torque.generator.configuration.outlet

## Interface UntypedOutletSaxHandlerFactory

- All Known Implementing Classes:
    ReflectionOutletSaxHandlerFactory

      public interface UntypedOutletSaxHandlerFactory

  Classes implementing this interface can create creating `OutletSaxHandler`s for more than one outlet type.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canHandle(String type, UnitDescriptor unitDescriptor)` Returns whether the handler can create OutletSaxHandlers for the given type.
    `OutletSaxHandler` | `getOutletSaxHandler(String outletType, QualifiedName outletName, ConfigurationProvider configurationProvider, UnitDescriptor unitDescriptor, ConfigurationHandlers configurationHandlers)` Returns a OutletSaxHandler for reading in the configuration of a outlet.

- - ### Method Detail

    - #### canHandle

          boolean canHandle(String type,
                            UnitDescriptor unitDescriptor)

      Returns whether the handler can create OutletSaxHandlers for the given type.
      Parameters:
        `type` - the type to check.
        `unitDescriptor` - The description of the generation unit, not null.
      Returns:
        true if the type is supported, false if not.

    - #### getOutletSaxHandler

          OutletSaxHandler getOutletSaxHandler(String outletType,
                                               QualifiedName outletName,
                                               ConfigurationProvider configurationProvider,
                                               UnitDescriptor unitDescriptor,
                                               ConfigurationHandlers configurationHandlers)
                                        throws SAXException

      Returns a OutletSaxHandler for reading in the configuration of a outlet. The SAX Handler is used as a delegate handler whenever a outlet element with the matching type is encountered in a outlet configuration file.
      Parameters:
        `outletType` - the type of the outlet, not null.
        `outletName` - the name for the outlet which configuration will be read in by the generated SaxHandlerFactory, or null if the name of the outlet should be determined from the parsed XML.
        `configurationProvider` - The access object for the configuration files, not null.
        `unitDescriptor` - The description of the generation unit, not null.
        `configurationHandlers` - the available configuration handlers, not null.
      Returns:
        a SAX delegate handler for parsing the configuration with the given type.
      Throws:
        `SAXException` - if the SAX Handler for the outlet can not be created from the given XML element.

Copyright © 2000–2020 The Apache Software Foundation. All rights reserved.